## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl
Class SybaseASABaseColumnImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl
                                      org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl
                                          org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseASABaseColumnImpl

All Implemented Interfaces:
  SybaseASABaseColumn, SybaseAuthorizedObject, SQLObject, TypedElement, Column, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  SybaseASACatalogBaseColumn

    public class SybaseASABaseColumnImpl

extends org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl
implements SybaseASABaseColumn

An implementation of the model object 'Sybase ASA Base Column'.

The following features are implemented:

- `Column Constraint`
- `Type Of Default`
- `Unique`
- `Is Computed Column`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList` `getColumnConstraint()`
`int` `getGlobalIncrementPartitionSize()`
`TypeOfDefault` `getTypeOfDefault()`
`boolean` `isIsComputedColumn()`
`boolean` `isLiteralDefault()`
`boolean` `isUnique()`
`void` `setIsComputedColumn(boolean newIsComputedColumn)`
`void` `setTypeOfDefault(TypeOfDefault newTypeOfDefault)`
`void` `setUnique(boolean newUnique)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl

`basicSetGenerateExpression, basicSetIdentitySpecifier, basicSetTable, eBasicRemoveFromContainerFeature, getDefaultValue, getGenerateExpression, getIdentitySpecifier, getScopeCheck, getTable, isImplementationDependent, isNullable, isPartOfForeignKey, isPartOfPrimaryKey, isPartOfUniqueConstraint, isScopeChecked, setDefaultValue, setGenerateExpression, setIdentitySpecifier, setImplementationDependent, setNullable, setScopeCheck, setScopeChecked, setTable`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl
`basicGetReferencedType, basicSetContainedType, getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Column
`getDefaultValue, getGenerateExpression, getIdentitySpecifier, getScopeCheck, getTable, isImplementationDependent, isNullable, isPartOfForeignKey, isPartOfPrimaryKey, isPartOfUniqueConstraint, isScopeChecked, setDefaultValue, setGenerateExpression, setIdentitySpecifier, setImplementationDependent, setNullable, setScopeCheck, setScopeChecked, setTable`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.TypedElement
`getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getColumnConstraint

    public org.eclipse.emf.common.util.EList getColumnConstraint()

  Specified by:
    `getColumnConstraint` in interface `SybaseASABaseColumn`
  Returns:
    the value of the 'Column Constraint' reference list.
  See Also:
    `SybaseasabasesqlmodelPackage.getSybaseASABaseColumn_ColumnConstraint()`, `SybaseASABaseColumnCheckConstraint.getColumn()`

### getTypeOfDefault

    public TypeOfDefault getTypeOfDefault()

  Specified by:
    `getTypeOfDefault` in interface `SybaseASABaseColumn`
  Returns:
    the value of the 'Type Of Default' attribute.
  See Also:
    `TypeOfDefault`, `SybaseASABaseColumn.setTypeOfDefault(TypeOfDefault)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseColumn_TypeOfDefault()`

### setTypeOfDefault

    public void setTypeOfDefault(TypeOfDefault newTypeOfDefault)

  Specified by:
    `setTypeOfDefault` in interface `SybaseASABaseColumn`
  Parameters:
    `newTypeOfDefault` - the new value of the 'Type Of Default' attribute.
  See Also:
    `TypeOfDefault`, `SybaseASABaseColumn.getTypeOfDefault()`

### isUnique

    public boolean isUnique()

  Specified by:
    `isUnique` in interface `SybaseASABaseColumn`
  Returns:
    the value of the 'Unique' attribute.
  See Also:
    `SybaseASABaseColumn.setUnique(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseColumn_Unique()`

### setUnique

    public void setUnique(boolean newUnique)

  Specified by:
    `setUnique` in interface `SybaseASABaseColumn`
  Parameters:
    `newUnique` - the new value of the 'Unique' attribute.
  See Also:
    `SybaseASABaseColumn.isUnique()`

### isIsComputedColumn

    public boolean isIsComputedColumn()

  Specified by:
    `isIsComputedColumn` in interface `SybaseASABaseColumn`
  Returns:
    the value of the 'Is Computed Column' attribute.
  See Also:
    `SybaseASABaseColumn.setIsComputedColumn(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseColumn_IsComputedColumn()`

### setIsComputedColumn

    public void setIsComputedColumn(boolean newIsComputedColumn)

  Specified by:
    `setIsComputedColumn` in interface `SybaseASABaseColumn`
  Parameters:
    `newIsComputedColumn` - the new value of the 'Is Computed Column' attribute.
  See Also:
    `SybaseASABaseColumn.isIsComputedColumn()`

### isLiteralDefault

    public boolean isLiteralDefault()

  Specified by:
    `isLiteralDefault` in interface `SybaseASABaseColumn`

### getGlobalIncrementPartitionSize

    public int getGlobalIncrementPartitionSize()

  Specified by:
    `getGlobalIncrementPartitionSize` in interface `SybaseASABaseColumn`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl`